com.holonplatform.vaadin.flow.components.builders

## Interface ButtonConfigurator<C extends ButtonConfigurator<C>>

- Type Parameters:
    `C` - Concrete configurator type
  All Superinterfaces:
    ClickNotifierConfigurator<com.vaadin.flow.component.button.Button,ClickEvent<com.vaadin.flow.component.button.Button>,C>, ComponentConfigurator<C>, DeferrableLocalizationConfigurator<C>, FocusableConfigurator<com.vaadin.flow.component.button.Button,C>, HasAutofocusConfigurator<C>, HasDeferrableLocalization, HasElementConfigurator<C>, HasEnabledConfigurator<C>, HasIconConfigurator<C>, HasSizeConfigurator<C>, HasStyleConfigurator<C>, HasTextConfigurator<C>, HasThemeVariantConfigurator<com.vaadin.flow.component.button.ButtonVariant,C>, HasTitleConfigurator<C>
  All Known Subinterfaces:
    ButtonBuilder, ButtonConfigurator.BaseButtonConfigurator

      public interface ButtonConfigurator<C extends ButtonConfigurator<C>>
      extends ComponentConfigurator<C>, HasSizeConfigurator<C>, HasStyleConfigurator<C>, HasIconConfigurator<C>, HasTextConfigurator<C>, HasEnabledConfigurator<C>, HasTitleConfigurator<C>, ClickNotifierConfigurator<com.vaadin.flow.component.button.Button,ClickEvent<com.vaadin.flow.component.button.Button>,C>, FocusableConfigurator<com.vaadin.flow.component.button.Button,C>, HasAutofocusConfigurator<C>, HasThemeVariantConfigurator<com.vaadin.flow.component.button.ButtonVariant,C>, DeferrableLocalizationConfigurator<C>

  `Button` component configurator.
  Since:
    5.2.0

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static interface` | `ButtonConfigurator.BaseButtonConfigurator` Base button configurator.

    - ### Nested classes/interfaces inherited from interface com.holonplatform.vaadin.flow.components.builders.ComponentConfigurator

      `ComponentConfigurator.BaseComponentConfigurator`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.vaadin.flow.components.builders.HasIconConfigurator

      `HasIconConfigurator.IconConfigurator<C extends HasIconConfigurator<C>>`

  - ### Field Summary

    - ### Fields inherited from interface com.holonplatform.vaadin.flow.components.builders.HasSizeConfigurator

      `FULL_SIZE`

  - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `default C` | `autofocus()` Set the button to be input focused when the page loads.
    `static ButtonConfigurator.BaseButtonConfigurator` | `configure(com.vaadin.flow.component.button.Button button)` Obtain a `ButtonConfigurator` to configure given `Button` component.
    `C` | `disableOnClick()` Automatically disables button when clicked, typically to prevent (accidental) extra clicks on a button.
    `C` | `iconAfterText(boolean iconAfterText)` Sets whether this button's icon should be positioned after it's text content or the other way around.

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.ComponentConfigurator

      `elementConfiguration, hidden, id, visible, withAttachListener, withDetachListener`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasElementConfigurator

      `withEventListener, withEventListener, withThemeName`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasSizeConfigurator

      `fullHeight, fullSize, fullWidth, height, height, heightUndefined, maxHeight, maxWidth, minHeight, minWidth, sizeUndefined, width, width, widthUndefined`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasStyleConfigurator

      `styleName, styleNames`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasIconConfigurator

      `icon, icon, icon, iconConfigurator, iconConfigurator, iconConfigurator, iconConfigurator`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasTextConfigurator

      `text, text, text`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasEnabledConfigurator

      `disabled, enabled`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasTitleConfigurator

      `description, description, description, title, title, title`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.ClickNotifierConfigurator

      `onClick, withClickListener, withClickShortcut, withClickShortcutKey`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.FocusableConfigurator

      `tabIndex, withBlurListener, withFocusListener, withFocusShortcut, withFocusShortcutKey`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasAutofocusConfigurator

      `autofocus`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasThemeVariantConfigurator

      `withThemeVariants`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.DeferrableLocalizationConfigurator

      `deferLocalization, withDeferredLocalization`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasDeferrableLocalization

      `isDeferredLocalizationEnabled`

- - ### Method Detail

    - #### iconAfterText

          C iconAfterText(boolean iconAfterText)

      Sets whether this button's icon should be positioned after it's text content or the other way around.
      Parameters:
        `iconAfterText` - Whether the icon should be positioned after the button text
      Returns:
        this

    - #### autofocus

          default C autofocus()

      Set the button to be input focused when the page loads.
      Returns:
        this

    - #### disableOnClick

          C disableOnClick()

      Automatically disables button when clicked, typically to prevent (accidental) extra clicks on a button.
      Returns:
        this

    - #### configure

          static ButtonConfigurator.BaseButtonConfigurator configure(com.vaadin.flow.component.button.Button button)

      Obtain a `ButtonConfigurator` to configure given `Button` component.
      Parameters:
        `button` - The component to configure (not null)
      Returns:
        A `ButtonConfigurator` to configure given component

Copyright © 2019 The Holon Platform. All rights reserved.